WordPress.org

Support

Support » Plugins and Hacks » 1.6.7 not working in safari and firefox

1.6.7 not working in safari and firefox

  • I am developing a site offline and was using the previous version of the player and it was working fine in all browsers I tested.

    I updated to the new version and now it only works in chrome. Firefox and Safari just show a blank background where the video should be.

    The site I am working on is offline, so I can’t give you a url, but I checked your site http://pupunzi.open-lab.com/mb-jquery-components/jquery-mb-ytplayer/ and again, the video only plays for me in chrome. In Safari and Firefox, I just see your yellow background and the video never loads.

    I did have to change autoplay to true manually in the shortcode to get my video to work in chrome.

    Is there a fix for this? Or where can I get access to the previous version?

    Thanks.

    http://wordpress.org/plugins/wpmbytplayer/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author pupunzi

    @pupunzi

    Hi,
    I’m testing it on mostly all the browsers (both oSx and Windows 8) included Firefox and Safari and it’s working fine for me…
    You can download the previous version from here: http://wordpress.org/plugins/wpmbytplayer/developers/

    Bye,
    Matteo

    Thanks for your response. I’m not sure what has happened but it continues to not work in safari and firefox for me, ever since I updated from 1.6.6 to 1.6.7. It works perfectly in chrome and was working in safari and firefox before the first update.

    Now I’ve tried both 1.6.8 and older versions and it still doesn’t work except in chrome.

    Any idea what has happened and why updating would have permanently broken the function in firefox and safari. No other changes were made beyond updating the plugin.

    Thanks.

    Hi Matteo,
    Just noticed something else… If I set isinline=”true”, then in safari and firefox an inline still image from the video shows up, but it doesn’t autoplay (even though autoplay is set to “true”), and the inline controls don’t show up–there’s no way to get it to play.

    Again, it works fine in chrome with the above settings.

    There’s no problem with the videos themselves–I’ve tried several from various channels. They all work in the player through chrome, none in firefox or safari.

    I really like the plugin and it works great in chrome for me. If you have any insight into what have might have happened in safari and/or firefox, please let me know. Again, it did work in safari and firefox until I updated once, and now it seems completely broken in those browsers, even when I switch to different versions of the player.

    Thank you.

    Plugin Author pupunzi

    @pupunzi

    Hi,
    I should have an URL where to see what is going on; as I told you it’s working fine for me on all the browsers and OS (viewing for ex: http://pupunzi.open-lab.com/mb-jquery-components/jquery-mb-ytplayer where is installed the latest 1.6.8 version).

    Did you try cleaning the cache of the browsers?
    what operating system are you using?
    which version of browsers?
    Did you try from a different computer?

    Bye,
    Matteo

    Hi Matteo,

    I have tried clearing the cache in both browsers, and actually your background video at http://pupunzi.open-lab.com/mb-jquery-components/jquery-mb-ytplayer/ doesn’t play for me in safari or firefox either, only in chrome.

    I can’t send you the url, because the site is only on a local server right now, not on the web. I haven’t tried from a different computer for the same reason. What happens is no video plays–only the white background of the page.

    I’m using OSX 10.8.5
    Safari Version 6.1 (8537.71)
    Firefox 25.0.1

    Thanks. I appreciate your time.

    Plugin Author pupunzi

    @pupunzi

    Hi,
    I really can’t figure out what is the problem… but it is something related to your computer or browser configuration. do you have any plug in or extensions installed on your browsers that could prevent DOM manipulation or ADs blocker… Those kind of third part plug in could interfere with the component.

    Bye,
    Matteo

    P.S.: I’m developing on OSX 10.7 / 10.8 / 10.9 and on FF 25.01, Safari 5.x / 6.x / 7.0 and the component is running well on all my computers.

    Hi Matteo,

    Thanks again for all your responses… No, I haven’t installed any such plugins or extensions. In a couple of days, I will actually upload the site as it is to a public server so you can take a look at it.

    In the meantime, I get the following message in the Safari Error Console. I get the same error on my site, and in fact I also get it when I try to load your site. It’s not shown below, but the error counter keeps continuously rising while I’m on the page. Don’t know if this sheds any light on anything:

    [Error] Unable to post message to http://www.youtube.com. Recipient has origin https://www.youtube.com.

    postMessage ([native code], line 0)
    w (www-widgetapi-vflpUkZCc.js, line 25)
    D (www-widgetapi-vflpUkZCc.js, line 24)
    (anonymous function) ([native code], line 0)

    Thanks again.

    Plugin Author pupunzi

    @pupunzi

    the first error is something you should not consider (the post message error is well known by the community and also by the YT developers team) as it is not blocking.
    The other two errors are effectively generated by the Youtube API and they could be the cause of your problem. The strange is that I’m not getting those errors running almost with the same configuration…

    Anyway, as you are saying that you can’t see the component running on the component’s page you should really try using another computer and maybe consider to update your to Maverick.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘1.6.7 not working in safari and firefox’ is closed to new replies.